#pragma once

#include <C2/gl/Manipulator.h>

#include <LibQtGeoViewerCore/Camera.h>



class CameraRecords
{
public:
	bool SaveCamera(const char* filename);
	bool LoadCamera(const char* filename);

	void RecordCamera(gl::Camera& camera);

	void RemoveRecordedCamera(int camera_idx);

	void DrawRecordPos(const gl::Camera& cur_camera);

	void Clear(void);

public:
	std::vector<lib_gl::CameraManipulator> m_Records;
};
